Subject: RE: ENUM Privacy (was RE: [Enum] User ENUM vs Operator ENUM)

From: "Stastny Richard" <[email-masked]>
Date: Tue, 29 Jun 2004 10:06:12 -0400

> Jim Reid [mailto:jim at rfc1035.com] writes:

> 
> Sorry Richard, this is too simplistic. 
[Richard>] 
Maybe, I always thought the slogan of IETF is KISS ;-)
> Your so-called silver tree
> could only work ...
This is not my silver tree (ask ITSPA).

> On top of that I can't see how VoIP provider A would
> be comfortable exposing their customer's "phone numbers" in some
> private, shared tree to VoIP provider B.
[Richard>] 
Fine. Then there will never be an OCI (operator, carrier, infrastructure)
tree.

But they trust the IAB?:
> 
> Wrong. Operators can (and probably should) use a private version of
> e164.arpa today. This doesn't need any involvement in the Tier-0 and
> Tier-1 stuff or ITU's interim procedures. e164.arpa is the IETF/IAB
> agreed domain name for ENUM. It's neutral and not controlled by any
> commercial interest or nation. So it's the obvious choice for the
> unique and consistent naming scheme that Infrastructure ENUM
> needs. 
[Richard>] 
I do not see any difference to any other tree the operators agree upon. And
the first thing is they have to agree on e164.arpa and this has to happen 
very quickly.

>     Richard> There is no problem having two trees in parallel, a
>     Richard> provider (or even the user himself) may query public User
>     Richard> ENUM first and public or private Infrastructure ENUM
>     Richard> afterwards.
> 
> I don't understand this. An end user should never, ever see a private
> ENUM tree. Even if querying both trees was possible, how is the user
> or application supposed to know which one holds the data it's supposed
> to use? If my phone number is in both places each with 1 NAPTR record
> pointing at different SIP servers, which one does the application
> connect to? Now suppose one of those SIP servers lives deep in some
> telco's net and is unreachable from another operator's net. Or the
> internet. Or vice versa.

This is very simple (as the most things are I proposed) and
Is used already in most Asterisk: The user itself or the SIP
Server is querying user ENUM. If he finds an entry, fine.

If not, instead of forwarding the call to the PSTN, it is querying
OCI ENUM or whatever system the operator use to find each other (if
there are still operators left. If the PSTN finally goes away, you cannot
dump the call to something what is not existing, so something is needed.

But this is not a technical problem, most ENUM-enabled Asterisk now query 
first e164.arpa and then e.g. fraenum.org. No problem.

Richard

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Jim Reid <[email-masked]>
Date: Tue, 29 Jun 2004 10:20:46 -0400

>>>>> "Richard" == Stastny Richard <Richard.Stastny at oefeg.at> writes:

    >> Your so-called silver tree could only work ...
    Richard> This is not my silver tree (ask ITSPA).

Well you're the first person to mention this term to me. :-)

    >> On top of that I can't see how VoIP provider A would be
    >> comfortable exposing their customer's "phone numbers" in some

    Richard> Fine. Then there will never be an OCI
    Richard> (operator, carrier, infrastructure) tree.

    Richard> But they trust the IAB?:

This trust issue has got nothing to do with the IAB. Or IETF. Or what
the domain name is.

    >>  Wrong. Operators can (and probably should) use a private
    >> version of e164.arpa today. This doesn't need any involvement
    >> in the Tier-0 and Tier-1 stuff or ITU's interim
    >> procedures. e164.arpa is the IETF/IAB agreed domain name for
    >> ENUM. It's neutral and not controlled by any commercial
    >> interest or nation. So it's the obvious choice for the unique
    >> and consistent naming scheme that Infrastructure ENUM needs.

    Richard> I do not see any difference to any other tree
    Richard> the operators agree upon. And the first thing is they
    Richard> have to agree on e164.arpa and this has to happen very
    Richard> quickly.

Yes, agreement should be reached quickly. And if some other name is
chosen for that tree, it is likely to be tainted in some way because
it probably won't have come from a neutral source. I can't see Verizon
(say) signing up for an Operator ENUM tree that's owned by say
AT&T. Maybe IETF or ETSI could suggest a suitable domain name? IETF
already have IMO.

Even once the domain name is chosen, someone needs to document the DNS
configuration and management processes.

---

From: James Seng <[email-masked]>
Date: Tue, 29 Jun 2004 10:52:09 -0400

it would be make sense to define goldentree, silvertree etc as i can see 
we going to use these term regularly in carrier ENUM. anyone wants to 
take a shot at this before san diego...if not, i forsee we going to have 
a lively debate just on the terminology. 1hr is not going to be enough.

incidently, it might be worthwhile to look at the world as it exists 
first before thinking how we like it to be. the world right now is a 
world of silvertrees.

james
Stastny Richard wrote:

But they trust the IAB?:

Richard